package com.patzn.lims.drug.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.drug.entity.DrugSampleRecord;
import com.patzn.lims.drug.eunms.SampleStatusEnum;

import java.util.Collection;

/**
 * <p>
 * 食药样品操作日志表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-02-29
 */
public interface IDrugSampleRecordService extends IBaseService<DrugSampleRecord> {

    Page<DrugSampleRecord> page(Page<DrugSampleRecord> page, DrugSampleRecord drugSampleRecord);

    boolean record(Account account, SampleStatusEnum draft, SampleStatusEnum make, Long[] ids);


    boolean record(Account account, SampleStatusEnum draft, SampleStatusEnum make, Long[] ids,String remark);

    boolean record(Account account, SampleStatusEnum draft, SampleStatusEnum make, Collection<Long> ids, String remark);

    boolean record(Account account, SampleStatusEnum draft, SampleStatusEnum make, Long[] ids,Integer type,String remark);
}
