package com.patzn.lims.drug.service.impl;

import com.patzn.lims.drug.entity.DrugSampleFlow;
import com.patzn.lims.drug.mapper.DrugSampleFlowMapper;
import com.patzn.lims.drug.service.IDrugSampleFlowService;
import com.patzn.lims.core.web.BaseServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wwd
 * @since 2020-06-09
 */
@Service
public class DrugSampleFlowServiceImpl extends BaseServiceImpl<DrugSampleFlowMapper, DrugSampleFlow> implements IDrugSampleFlowService {

    @Override
    public Page<DrugSampleFlow> page(Page<DrugSampleFlow> page, DrugSampleFlow drugSampleFlow) {
        QueryWrapper<DrugSampleFlow> wrapper = Wrappers.<DrugSampleFlow>query(drugSampleFlow);
        return this.page(page, wrapper);
    }
}
