package com.patzn.lims.drug.dto;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel
//物料报检排行榜统计
public class StatisticSampleItem extends QueryEntity{

    //今日报检总量
    private Integer daySample;
    //今日项目量
    private Integer dayItem;
    //总报检总
    private Integer totalSample;

    private List<StatisticSampleRank> sampleRank;

    private List<StatisticSampleRank> itemRank;



}
