package com.patzn.lims.drug.entity;

import java.math.BigDecimal;
import java.util.Date;
import com.patzn.lims.core.bean.BaseEntity;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author wwd
 * @since 2020-06-09
 */
@Data
@Accessors(chain = true)
@ApiModel
public class DrugSampleFlow extends BaseEntity {

    @ApiModelProperty(value = "样品ID")
	private Long sampleId;
    @ApiModelProperty(value = "检测科室ID")
	private Long groupId;
    @ApiModelProperty(value = "检测科室")
	private String groupName;
    @ApiModelProperty(value = "流转人")
	private String flower;
    @ApiModelProperty(value = "流转人ID")
	private Long flowerId;
    @ApiModelProperty(value = "流转时间")
	private Date flowTime;
    @ApiModelProperty(value = "流转数量")
	private BigDecimal flowQuantity;
    @ApiModelProperty(value = "流转单位")
	private String unit;
    @ApiModelProperty(value = "企业ID")
	@TableField(fill = FieldFill.INSERT)
	private Long companyId;
    @ApiModelProperty(value = "是否删除0否1是")
    @TableLogic
	private Integer deleted;
    @ApiModelProperty(value = "创建人")
	@TableField(fill = FieldFill.INSERT)
	private Long uid;
    @ApiModelProperty(value = "创建时间")
	@TableField(fill = FieldFill.INSERT)
	private Date ctime;
    @ApiModelProperty(value = "最后修改人")
	@TableField(fill = FieldFill.UPDATE)
	private Long lid;
    @ApiModelProperty(value = "最后修改时间")
	@TableField(fill = FieldFill.UPDATE)
	private Date ltime;


}
