package com.patzn.lims.drug.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.drug.entity.DrugSample;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.patzn.lims.drug.vo.DrugSampleOosVO;
import com.patzn.lims.drug.vo.DrugSampleVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 食药样品主表 Mapper 接口
 * </p>
 *
 * @author wwd
 * @since 2020-02-29
 */
public interface DrugSampleMapper extends BaseMapper<DrugSample> {

    Page<DrugSampleVO> selectVOList(Page page, @Param("vo") DrugSampleVO vo);

    Page<DrugSampleVO> selectVOFlowList(Page page, @Param("vo") DrugSampleVO vo);


    Page<DrugSampleVO> selectVOFlowHisList(Page page, @Param("vo") DrugSampleVO vo);


    Page<DrugSampleVO> selectVOByItemStatusList(Page page,@Param("vo") DrugSampleVO vo);

    Page<DrugSampleOosVO> selectOosRegister(Page page, @Param("vo") DrugSampleOosVO vo);

    Page<DrugSampleOosVO> selectOosExecute(Page page, @Param("vo") DrugSampleOosVO vo);

    Page<DrugSampleOosVO> selectOosRegisterHis(Page page, @Param("vo")DrugSampleOosVO vo);


    List<DrugSampleVO> selectInsList(@Param("daysList") List<String> daysList, @Param("userId") Long userId);

    List<DrugSampleVO> selectReceiveList(@Param("daysList") List<String> daysList,@Param("userId") Long userId);

    int selectCountPersonalSampleReceive(@Param("userId")Long userId);
}
