package com.patzn.lims.drug.vo;

import com.patzn.lims.drug.entity.DrugSampleKeep;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ApiModel
public class DrugSampleKeepVO extends DrugSampleKeep {
    @ApiModelProperty(value = "物品编码")
    private String code;
    @ApiModelProperty(value = "样品编号")
    private String sampleCode;
    @ApiModelProperty(value = "物料名称")
    private String name;
    @ApiModelProperty(value = "业务类型")
    private String category;


    @ApiModelProperty(value = "标准")
    private String standard;
    @ApiModelProperty(value = "班别")
    private String classBan;
    @ApiModelProperty(value = "机台")
    private String samplePoint;

}
